#[derive(cliask::ActionEnum)]
enum YesNoPrompt {
    Yes,
    No,
}

#[derive(cliask::ActionEnum)]
enum MultiChoicePrompt {
    Skip,
    Abort,
    Retry,
    Fail,
    Ignore,
    Explode,
    ExtraJuice
}

fn main() {
    let ynanswer: Result<YesNoPrompt, _> = cliask::ActionPrompt::new().run();

    let mcanswer : Result<MultiChoicePrompt, _> = cliask::ActionPrompt::new().with_default(MultiChoicePrompt::Explode).run();
}
